from .translation.translate import GetTranslationDict
import bpy

bl_info = {
    "name": "ToOptimize Tools",
    "description": "The Addon will help you to optmize your scene in a visual way",
    "author": "Rodrigo Gama",
    "version": (1, 2, 74),
    "blender": (4, 1, 0),
    "location": "View3D > Sidebar > ToOptimize Tools",
    "category": "3D View",
    "doc_url": "https://help.cgoutset.com/docs/tooptimize-tools/",
    "tracker_url": "https://help.cgoutset.com/bug-report/",
}


def register():
    from .addon.register import register_addon

    register_addon()
    bpy.app.translations.register(__package__, GetTranslationDict())


def unregister():
    from .addon.register import unregister_addon

    unregister_addon()
    bpy.app.translations.unregister(__package__)
